For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceFDX APIChangelog
GuidesAPI ReferenceFDX APIChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Donor Accounts
      • GETList Giving Pools
      • GETGet Giving Pool
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
Donor AccountsGiving Pools

Get Giving Pool

GET
/v1/giving_pools/:id
GET
/v1/giving_pools/:id
$curl https://api.givechariot.com/v1/giving_pools/0bf40881-8ee2-47fb-98ca-f58c7999aa34 \
> -H "Authorization: Bearer <token>"
1{
2 "id": "0bf40881-8ee2-47fb-98ca-f58c7999aa34",
3 "name": "Smith Family Fund",
4 "donor_account_id": "donor_account_01jpjenf5q6cawy43yxfcrxhct",
5 "created_at": "2026-01-15T09:00:00Z",
6 "updated_at": "2026-04-01T12:00:00Z",
7 "metadata": {}
8}
Retrieve a Giving Pool with the given ID.
Was this page helpful?
Previous

List Grant Requests

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
The unique ID of the Giving Pool.

Response

OK
idstringRead-onlyformat: "uuid"
The unique identifier for this Giving Pool.
namestring
The display name of the Giving Pool. This is the name that the Donor will see when they are selecting a Giving Pool in DAFpay.
donor_account_idstring

The ID of the Donor Account this Giving Pool belongs to.

created_atstringRead-onlyformat: "date-time"
Time when this object was created, expressed in RFC 3339 format.
updated_atstringRead-onlyformat: "date-time"
Time when this object was last updated, expressed in RFC 3339 format.
metadatamap from strings to strings
A map of arbitrary string keys and values to store information about the object.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error